package com.lovecoding.day14.ex01;

import java.util.Scanner;

public class ChatThread  extends  Thread{
    //问是否结束（输入Y/y结束），如果输入的不是y，继续问是否结束，直到输入y才结束。
    @Override
    public void run() {
        Scanner scanner = new Scanner(System.in);
        while ( true ){
            //输入对象
            System.out.println("问是否结束（输入Y/y结束）");
            String next = scanner.next();
            if (next.equals("Y") || next.equals("y") ){
                break;
            }
        }
    }
}
